### Method

# Foundry VcsCommit load_parent

#### Declaration [src]

    DexFuture*
    foundry_vcs_commit_load_parent (
      FoundryVcsCommit* self,
      guint index
    )

#### Description

No description available.

#### Parameters

`index`

  Type: `guint`

  The index of the parent.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `FoundryVcsCommit` or rejects with error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.